Subject: bug#17546: Problem with du

From: Paul Eggert <[email-masked]>
Date: Thu, 22 May 2014 09:56:43 -0700

On 05/22/2014 09:21 AM, Dale R. Worley wrote:
> I don't see anything that covers the situation one way or another

I suppose you're right; the specification is terse, and I guess it can 
be read in a different way.

> I'd like to suggest adding another option to du to establish the 
> behavior I want.

What behavior do you want?  I hope it's not the pre-8.6 behavior, which 
had the properties documented in <http://bugs.gnu.org/17546#8>, where 
files with link counts > 1 were counted only once while files with link 
counts == 1 were counted multiple times.

Is there a version of du somewhere that behaves the way you want? 
(Solaris, FreeBSD, etc.?)  That might give us insight as to what would 
be a good option here.